Security
Delete the vehicle connection
Deletes an existing vehicle connection (between a vehicle and a user). This does not change the user nor the vehicle itself.
DELETE
/
me
/
connected-vehicle
/
{vehicle_id}
Delete the vehicle connection
curl --request DELETE \
--url https://ctechnology.io/api/v2.2/me/connected-vehicle/{vehicle_id} \
--header 'Authorization: <api-key>'import requests
url = "https://ctechnology.io/api/v2.2/me/connected-vehicle/{vehicle_id}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://ctechnology.io/api/v2.2/me/connected-vehicle/{vehicle_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}Authorizations
Note that the API key has to be sent as Token 123 where 123 is
the key you received after logging in or by creating on the developer
dashboard.
Path Parameters
ID of vehicle to delete the connection for.
Response
Successfully deleted the vehicle connection.
Previous
Get user permissionsGets a user's permissions with respect to UI and general functionality.
Next
⌘I
Delete the vehicle connection

